#
# spec file for package sxtopdf (Version 0.5.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sxtopdf
License:        GPL-2.0+
Group:          Productivity/Office/Other
Version:        0.5.7
Release:        5.13
Summary:        Export features from SUSE feature database to PDF
Source0:        sxtopdf-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       jre >= 1.4 docbook_4 fop docbook-xsl-stylesheets
BuildRequires:  unzip
Patch0:         customize-fo-less-0.93.xsl.patch
Patch1:         sxtopdf-eco.patch
BuildArch:      noarch

%description
Export features from SUSE feature database to PDF

Authors:
--------
    abauer@suse.de

%prep
%setup -n %{name}

%if %{?suse_version} < 1030
%patch0
%endif
%patch1 -p1


%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT%{_bindir}
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_mandir}/man1/*.gz
%{_bindir}/*
%{_datadir}/sxtopdf

%changelog
* Fri Jan 20 2017 ciaran.farrell@suse.com
- Make License SPDX compatible and add COPYING file
* Mon Oct 14 2013 okir@suse.com
- ECO patch was not enabled :-(
* Mon Oct  7 2013 okir@suse.com
- Support exporting ECOs to PDF
* Tue Jul 22 2008 tschmidt@suse.de
- fix for java 1.4
* Fri Jun 27 2008 tschmidt@suse.de
- add new commands for reading from file and authenticating with ichain
* Tue Feb 19 2008 tschmidt@suse.de
- fix rpmlint errors
* Mon Feb  4 2008 tschmidt@suse.de
- adopt to new productname path
* Mon Oct  1 2007 abauer@suse.de
- fixed fo stylesheet for fop 0.93
- added docbook-xsl-stylesheets to Requires
* Mon Jul  2 2007 tschmidt@suse.de
- fix bug in role display
* Wed May  2 2007 abauer@suse.de
- added unzip to BuildRequires
* Wed Nov 29 2006 dbornkessel@suse.de
- add [weak] https capability
* Fri Nov  3 2006 tschmidt@suse.de
- fix some problems in docbook generation
* Tue Dec 20 2005 abauer@suse.de
- wrap <b> tags in docbook-paragraphs when used directly in richtext
* Mon Dec 19 2005 abauer@suse.de
- only generate Uncategorized chapter if features exist in root node
* Thu Dec 15 2005 abauer@suse.de
- display features where the sort algorithm failed to sort them into
  categories correctly (bug #128953)
* Mon Nov 14 2005 abauer@suse.de
- option -p (choose products to render) now influences the default query
